package com.edugility.cdi.jaxrs.jaxrs;

import javax.annotation.ManagedBean;

import javax.enterprise.context.RequestScoped;

import javax.inject.Inject;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

import com.edugility.cdi.jaxrs.api.Greeter;

@Path("/")
@Produces("application/xml")
//@RequestScoped
@ManagedBean
public class GreetingResource {

  @Inject
  private Greeter greeter;

  public GreetingResource() {
    super();
  }

  @GET
  @Path("greeting")
  public String getGreeting() {
    return this.greeter.getGreeting();
  }

}